description

# WheelEvent class Null safety

Inheritance
  - Object
  - Event
  - UIEvent
  - MouseEvent
  - WheelEvent
Annotations
  - @Native("WheelEvent")

## Constructors

WheelEvent(String type, {Window? view, num deltaX: 0, num deltaY: 0, num deltaZ: 0, int deltaMode: 0, int detail: 0, int screenX: 0, int screenY: 0, int clientX: 0, int clientY: 0, int button: 0, bool canBubble: true, bool cancelable: true, bool ctrlKey: false, bool altKey: false, bool shiftKey: false, bool metaKey: false, EventTarget? relatedTarget})
  factory

## Properties

altKey → bool
  read-only, inherited
bubbles → bool?
  read-only, inherited
button → int
  read-only, inherited
buttons → int?
  read-only, inherited
cancelable → bool?
  read-only, inherited
client → Point<num>
  read-only, inherited
composed → bool?
  read-only, inherited
ctrlKey → bool
  read-only, inherited
currentTarget → EventTarget?
  read-only, inherited
dataTransfer → DataTransfer
  read-only, inherited
defaultPrevented → bool
  read-only, inherited
deltaMode → int
  read-only
deltaX → num
  The amount that is expected to scroll horizontally, in units determined by deltaMode. [...]
  read-only
deltaY → num
  The amount that is expected to scroll vertically, in units determined by deltaMode. [...]
  read-only
deltaZ → num?
  read-only
detail → int?
  read-only, inherited
eventPhase → int
  read-only, inherited
fromElement → Node?
  The nonstandard way to access the element that the mouse comes from in the case of a `mouseover` event. [...]
  read-only, inherited
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
isTrusted → bool?
  read-only, inherited
layer → Point<num>
  read-only, inherited
matchingTarget → Element
  A pointer to the element whose CSS selector matched within which an event was fired. If this Event was not associated with any Event delegation, accessing this value will throw an UnsupportedError.
  read-only, inherited
metaKey → bool
  read-only, inherited
movement → Point<num>
  @SupportedBrowser(SupportedBrowser.CHROME), @SupportedBrowser(SupportedBrowser.FIREFOX), read-only, inherited
offset → Point<num>
  The coordinates of the mouse pointer in target node coordinates. [...]
  read-only, inherited
page → Point<num>
  read-only, inherited
path → List<EventTarget>
  read-only, inherited
region → String?
  read-only, inherited
relatedTarget → EventTarget?
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited
screen → Point<num>
  read-only, inherited
shiftKey → bool
  read-only, inherited
sourceCapabilities → InputDeviceCapabilities?
  read-only, inherited
target → EventTarget?
  read-only, inherited
timeStamp → num?
  read-only, inherited
toElement → Node?
  The nonstandard way to access the element that the mouse goes to in the case of a `mouseout` event. [...]
  read-only, inherited
type → String
  read-only, inherited
view → WindowBase?
  read-only, inherited

## Methods

composedPath() → List<EventTarget>
  inherited
getModifierState(String keyArg) → bool
  inherited
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
preventDefault() → void
  inherited
stopImmediatePropagation() → void
  inherited
stopPropagation() → void
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited

## Constants

DOM_DELTA_LINE → const int
  `0x01`
DOM_DELTA_PAGE → const int
  `0x02`
DOM_DELTA_PIXEL → const int
  `0x00`